GET
/v1/admin/dashboards/primary
Get Primary Dashboard
curl https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards/primary \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards/primary", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
x-csrf-token
string
required
in header
json · 200
{
"dashboard": {
"id": "1348afc3-db2e-4aaf-96ce-cda6ff269348",
"name": "My Primary Dashboard",
"description": "Sales analytics for Q3",
"image_id": "a9788d2e-ca37-41e3-b440-85ae6f8cd4c6",
"visibility": "private",
"mutable": true,
"shareable": false,
"owner_id": "47dbbab6-1abf-4392-a42f-dbde107c2793",
"updated_by_id": "47dbbab6-1abf-4392-a42f-dbde107c2793",
"shared_with_ids": [],
"shared_at": null,
"created_at": "2025-09-10T14:23:00Z",
"type": "live",
"updated_at": "2025-09-11T09:15:00Z",
"is_primary": true,
"widgets": [
{
"id": "widget_1",
"key": "analytics/live_queues",
"category": "analytics",
"sub_category": "live",
"settings": {
"position": 1,
"size": "medium"
},
"created_at": "2025-09-11T10:05:00Z",
"updated_at": "2025-09-11T10:05:00Z"
}
]
}
}